Package org.drinkless.tdlib

# Class TdApi.AddQuickReplyShortcutInlineQueryResultMessage

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.QuickReplyMessage>
org.drinkless.tdlib.TdApi.AddQuickReplyShortcutInlineQueryResultMessage

Enclosing class:
  `TdApi`

public static class TdApi.AddQuickReplyShortcutInlineQueryResultMessage extends TdApi.Function<TdApi.QuickReplyMessage>
Adds a message to a quick reply shortcut via inline bot. If shortcut doesn't exist and there are less than getOption("quick_reply_shortcut_count_max") shortcuts, then a new shortcut is created. The shortcut must not contain more than getOption("quick_reply_shortcut_message_count_max") messages after adding the new message. Returns the added message.

Returns `QuickReplyMessage`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `hideViaBot`
  Pass true to hide the bot, via which the message is sent.
  `long`
  `queryId`
  Identifier of the inline query.
  `long`
  `replyToMessageId`
  Identifier of a quick reply message in the same shortcut to be replied; pass 0 if none.
  `String`
  `resultId`
  Identifier of the inline query result.
  `String`
  `shortcutName`
  Name of the target shortcut.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddQuickReplyShortcutInlineQueryResultMessage()`
  Default constructor for a function, which adds a message to a quick reply shortcut via inline bot.
  `AddQuickReplyShortcutInlineQueryResultMessage(String shortcutName, long replyToMessageId, long queryId, String resultId, boolean hideViaBot)`
  Creates a function, which adds a message to a quick reply shortcut via inline bot.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### shortcutName

    public String shortcutName
    Name of the target shortcut.

  - ### replyToMessageId

    public long replyToMessageId
    Identifier of a quick reply message in the same shortcut to be replied; pass 0 if none.

  - ### queryId

    public long queryId
    Identifier of the inline query.

  - ### resultId

    public String resultId
    Identifier of the inline query result.

  - ### hideViaBot

    public boolean hideViaBot
    Pass true to hide the bot, via which the message is sent. Can be used only for bots getOption("animation_search_bot_username"), getOption("photo_search_bot_username"), and getOption("venue_search_bot_username").

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AddQuickReplyShortcutInlineQueryResultMessage

    public AddQuickReplyShortcutInlineQueryResultMessage()
    Default constructor for a function, which adds a message to a quick reply shortcut via inline bot. If shortcut doesn't exist and there are less than getOption("quick_reply_shortcut_count_max") shortcuts, then a new shortcut is created. The shortcut must not contain more than getOption("quick_reply_shortcut_message_count_max") messages after adding the new message. Returns the added message.

    Returns `QuickReplyMessage`

  - ### AddQuickReplyShortcutInlineQueryResultMessage

    public AddQuickReplyShortcutInlineQueryResultMessage(String shortcutName, long replyToMessageId, long queryId, String resultId, boolean hideViaBot)
    Creates a function, which adds a message to a quick reply shortcut via inline bot. If shortcut doesn't exist and there are less than getOption("quick_reply_shortcut_count_max") shortcuts, then a new shortcut is created. The shortcut must not contain more than getOption("quick_reply_shortcut_message_count_max") messages after adding the new message. Returns the added message.

    Returns `QuickReplyMessage`

    Parameters:
      `shortcutName` - Name of the target shortcut.
      `replyToMessageId` - Identifier of a quick reply message in the same shortcut to be replied; pass 0 if none.
      `queryId` - Identifier of the inline query.
      `resultId` - Identifier of the inline query result.
      `hideViaBot` - Pass true to hide the bot, via which the message is sent. Can be used only for bots getOption("animation_search_bot_username"), getOption("photo_search_bot_username"), and getOption("venue_search_bot_username").

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.QuickReplyMessage>`
    Returns:
      this.CONSTRUCTOR